/** 
 * @(#)AbstractCache.java
 */
package framework.cache;

import java.util.Map;

/**
 * ĳñü ӹ޾ƾ ϴ ߻Ŭ
 */
public abstract class AbstractCache {

	/**
	 * Ű  ĳÿ ߰Ѵ.
	 * 
	 * @param key Ű
	 * @param value 
	 * @param seconds ĳýð(ʴ)
	 */
	public abstract void add(String key, Object value, int seconds);

	/**
	 * Ű  ĳÿ Ѵ.
	 * 
	 * @param key Ű
	 * @param value 
	 * @param seconds ĳýð(ʴ)
	 */
	public abstract void set(String key, Object value, int seconds);

	/**
	 * Ű  ĳÿ üѴ.
	 * 
	 * @param key Ű
	 * @param value 
	 * @param seconds ĳýð(ʴ)
	 */
	public abstract void replace(String key, Object value, int seconds);

	/**
	 * ĳÿ Ű  ´.
	 * 
	 * @param key Ű
	 * @return 
	 */
	public abstract Object get(String key);

	/**
	 * ĳÿ Ű 迭  ´.
	 * 
	 * @param keys Ű
	 * @return 
	 */
	public abstract Map<String, Object> get(String[] keys);

	/**
	 * Ű  by ŭ Ų.
	 * 
	 * @param key Ű
	 * @param by ų 
	 * @return   
	 */
	public abstract long incr(String key, int by);

	/**
	 * Ű  by ŭ ҽŲ.
	 * 
	 * @param key Ű
	 * @param by ҽų 
	 * @return ҵ  
	 */
	public abstract long decr(String key, int by);

	/**
	 * Ű  ĳÿ Ѵ.
	 * 
	 * @param key Ű
	 */
	public abstract void delete(String key);

	/**
	 * ĳø  .
	 */
	public abstract void clear();

	/**
	 * ĳø .
	 */
	public abstract void stop();
}
