/** 
 * @(#)DBStatement.java
 */
package framework.db;

import java.sql.SQLException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/** 
 *  SQL  óϴ Ŭ ӹ޾ƾ  ߻Ŭ̴.
 */
public abstract class DBStatement {
	private static Log _logger = LogFactory.getLog(framework.db.DBStatement.class);

	/** 
	 * Statement close  ϱ  ߻ ޼ҵ
	 */
	public abstract void close() throws SQLException;

	/** 
	 * DBStatement ΰŰü Ѵ.
	 *  α״ ش ΰŸ ̿ؼ Ͽ Ѵ.
	 * <br>
	 * ex1)     => getLogger().error("...޽")
	 * <br>
	 * ex2)     => getLogger().debug("...׸޽")
	 *
	 * @return DBStatement ΰŰü
	 */
	protected Log getLogger() {
		return DBStatement._logger;
	}
}